imported Löve GLES branch (changeset 1ba9037e558b)

This commit is contained in:
Martin Felis
2013-12-05 18:05:13 +01:00
parent 41b2db04a7
commit 2644d1ee18
615 changed files with 150300 additions and 0 deletions
+24
View File
@@ -0,0 +1,24 @@
ACLOCAL_AMFLAGS = -I platform/unix/m4
SUBDIRS = src
EXTRA_DIST = changes.txt license.txt readme.md \
platform/unix/love.desktop.in
dist_man1_MANS = platform/unix/love.1
applicationsdir=$(datarootdir)/applications
mimeinfodir=$(datarootdir)/mime/packages
pixmapsdir=$(datarootdir)/pixmaps
mimeiconsdir=$(datarootdir)/icons/hicolor/scalable/mimetypes
applications_DATA = platform/unix/love.desktop
dist_mimeinfo_DATA = platform/unix/love.xml
dist_pixmaps_DATA = platform/unix/love.svg
dist_mimeicons_DATA = platform/unix/application-x-love-game.svg
platform/unix/love.desktop: platform/unix/love.desktop.in
$(MKDIR_P) platform/unix
rm -f $@ $@.tmp
$(SED) \
-e "s|@bindir[@]|$(bindir)|" \
${srcdir}/$@.in > $@.tmp
chmod a-w $@.tmp
mv $@.tmp $@
File diff suppressed because it is too large Load Diff

After

Width:  |  Height:  |  Size: 98 KiB

+64
View File
@@ -0,0 +1,64 @@
#!/bin/bash
log() {
echo "[automagic] " $@
}
die() {
log "Fatal: "$@
exit 1
}
if [[ ! -d platform/unix ]]; then
log "Can't find the 'plaform/unix' folder, make sure you run this from the root of the repository."
exit 1
fi
AUTOHEADER=$(which autoheader)
AUTOCONF=$(which autoconf)
LIBTOOLIZE=$(which libtoolize)
ACLOCAL=$(which aclocal)
AUTOMAKE=$(which automake)
[[ -x ${AUTOHEADER} ]] || die "Could not find autoheader. Install autoconf."
[[ -x ${AUTOCONF} ]] || die "Could not find autoconf."
[[ -x ${LIBTOOLIZE} ]] || die "Could not find libtoolize. Install libtool."
[[ -x ${ACLOCAL} ]] || die "Could not find aclocal. Install automake."
[[ -x ${AUTOMAKE} ]] || die "Could not find automake."
automagic() {
cp platform/unix/configure.ac .
cp platform/unix/Makefile.am .
if ! sh platform/unix/gen-makefile; then
echo "You should be doing this from the root directory of the project."
exit 1
fi
log "Running autoheader..." >&2
${AUTOHEADER} 2>&1 || return 1 # Gimmie config.h.in
log "Running libtoolize..." >&2
${LIBTOOLIZE} --force 2>&1 || return 1
log "Running aclocal..." >&2
${ACLOCAL} 2>&1 || return 1
log "Running autoconf..." >&2
${AUTOCONF} 2>&1 || return 1
log "Running automake..." >&2
${AUTOMAKE} -a 2>&1 || return 1
}
if [[ $1 == "-d" ]]; then
automagic 2>&1
else
(automagic > /dev/null) 2>&1
fi
if [[ $? -eq 1 ]]; then
log "Failed, please contact the developers."
exit 1
else
log "Success, carry on configuring."
fi
+104
View File
@@ -0,0 +1,104 @@
AC_INIT([love], [HEAD])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_AUX_DIR([platform/unix])
AC_CONFIG_MACRO_DIR([platform/unix/m4])
AC_CONFIG_SRCDIR([src/love.cpp])
AM_INIT_AUTOMAKE([foreign -Wall foreign tar-ustar silent-rules])
AM_SILENT_RULES
AC_PREFIX_DEFAULT([/usr])
m4_ifdef([AM_PROG_AR], [AM_PROG_AR])
AC_PROG_LIBTOOL
AC_PROG_CC
AC_PROG_CXX
AC_PROG_SED
AC_PROG_MKDIR_P
AC_C_BIGENDIAN
AC_LANG([C++])
includes=
AC_DEFUN([ACLOVE_CXX_FLAG_TEST], # WARNING: NOT REENTRANT
[aclove_cxx_flag_test_save_cflags="$CXXFLAGS"
CXXFLAGS="$1"
AC_MSG_CHECKING([whether $CXX supports flag $1])
AC_COMPILE_IFELSE([AC_LANG_PROGRAM([])],
[AC_MSG_RESULT([yes])]; $2,
[AC_MSG_RESULT([no]); $3])
CXXFLAGS="$aclove_cxx_flag_test_save_cflags"])
# C++11 support
cxx11name="no"
ACLOVE_CXX_FLAG_TEST([-std=c++0x], cxx11name="c++0x", [])
ACLOVE_CXX_FLAG_TEST([-std=c++11], cxx11name="c++11", [])
AS_VAR_IF([cxx11name], [no], AC_MSG_ERROR([Can't LÖVE without C++11]), CXXFLAGS="$CXXFLAGS -std=$cxx11name")
# Libraries
AC_SEARCH_LIBS([sqrt], [m], [], AC_MSG_ERROR([Can't LÖVE without C math library]))
AC_SEARCH_LIBS([glLoadIdentity], [GL], [], AC_MSG_ERROR([Can't LÖVE without OpenGL]))
AC_SEARCH_LIBS([alSourcePlay], [openal], [], AC_MSG_ERROR([Can't LÖVE without OpenAL]))
AC_SEARCH_LIBS([ilInit], [IL], [], AC_MSG_ERROR([Can't LÖVE without DevIL]))
AC_SEARCH_LIBS([FT_Load_Glyph], [freetype], [], AC_MSG_ERROR([Can't LÖVE without FreeType]))
AC_SEARCH_LIBS([PHYSFS_init], [physfs], [], AC_MSG_ERROR([Can't LÖVE without PhysicsFS]))
AC_SEARCH_LIBS([ModPlug_Load], [modplug], [], AC_MSG_ERROR([Can't LÖVE without ModPlug]))
AC_SEARCH_LIBS([ov_open], [vorbisfile], [], AC_MSG_ERROR([Can't LÖVE without VorbisFile]))
# Includes
AC_CHECK_HEADER([freetype2/freetype/config/ftheader.h], [includes="$includes -I/usr/include/freetype2"])
# SDL 2, treated seperately because it combines setting SDL2_LIBS and SDL2_CFLAGS into one step
AM_PATH_SDL2([], [], AC_MSG_ERROR([Can't LÖVE without SDL 2]))
# Lua, treated seperately because of --with-lua
AC_ARG_WITH([lua], [AS_HELP_STRING([--with-lua], [Select the lua implementation])],
[], [with_lua=lua])
AC_ARG_WITH([luaversion], [AS_HELP_STRING([--with-luaversion], [Select the lua version])],
[], [with_luaversion=5.1])
AS_VAR_IF([with_luaversion], [5.2], [luatest=lua_version], [luatest=lua_pcall]) # use lua_version for 5.2
AC_SEARCH_LIBS([$luatest], ["${with_lua}${with_luaversion}" "${with_lua}"], [],
AC_MSG_ERROR([Can't LÖVE without $with_lua]))
AC_CHECK_HEADER(["${with_lua}${with_luaversion}/lua.h"], [includes="$includes -I/usr/include/${with_lua}${with_luaversion}"], [])
AC_CHECK_HEADER(["${with_lua}/lua.h"], [includes="$includes -I/usr/include/${with_lua}"], [])
# mpg123, treated seperately because it can be disabled (default on)
AC_ARG_ENABLE([mpg123], AC_HELP_STRING([--disable-mpg123], [Disable mp3 support, for patent-free builds]), [], [enable_mpg123=yes])
AS_VAR_IF([enable_mpg123], [no],
AC_DEFINE([LOVE_NOMPG123], [], [Build without mpg123]),
# else
AC_SEARCH_LIBS([mpg123_open_feed], [mpg123], [],
AC_MSG_ERROR([Can't LÖVE without Mpg123]))
AC_SEARCH_LIBS([mpg123_seek_64], [mpg123],
AC_SUBST([FILE_OFFSET],[-D_FILE_OFFSET_BITS=64]),
AC_SUBST([FILE_OFFSET],[])))
# GME, treated seperately because it can be enabled (default off)
AC_ARG_ENABLE([gme], AC_HELP_STRING([--enable-gme], [Enable GME support, for more chiptuney goodness]), [], [enable_gme=no])
AS_VAR_IF([enable_gme], [yes],
AC_SEARCH_LIBS([gme_open_data], [gme], [], AC_MSG_ERROR([Can't LÖVE without gme]))
AC_DEFINE([LOVE_SUPPORT_GME], [], [Enable gme])
AC_CHECK_HEADER([gme/gme.h], [includes="$includes -I/usr/include/gme"], []))
# libenet check for socklen_t
AC_CHECK_TYPE([socklen_t], [AC_DEFINE([HAS_SOCKLEN_T], [1], [Define if socklen_t exists.] )], ,
#include <sys/types.h>
#include <sys/socket.h>
)
# Optionally build the executable (default on)
AC_ARG_ENABLE([exe],
AC_HELP_STRING([--disable-exe], [Disable building of executable launcher]), [], [enable_exe=yes])
AS_VAR_IF([enable_exe], [no], [], #else
AC_DEFINE([LOVE_BUILD_EXE], [], [Don't build launcher]))
AM_CONDITIONAL([LOVE_BUILD_EXE], [test "x$enable_exe" != xno])
AM_CONDITIONAL([LOVE_NOMPG123], [test "x$enable_mpg123" == xno])
# Set our includes as automake variable
AC_SUBST([LOVE_INCLUDES], ["$includes"])
AC_CONFIG_FILES([
Makefile
src/Makefile
])
AC_OUTPUT
+5
View File
@@ -0,0 +1,5 @@
love (0.9.0~ppatest5) precise; urgency=medium
* Upstream testing release
-- Bart van Strien <bart.bes@gmail.com> Sat, 2 Nov 2013 16:23:40 +0100
+1
View File
@@ -0,0 +1 @@
9
+58
View File
@@ -0,0 +1,58 @@
Source: love
Section: games
Priority: extra
Maintainer: Bart van Strien <bart.bes@gmail.com>
Build-Depends: debhelper (>= 9),
autotools-dev,
libdevil-dev,
libfreetype6-dev,
libluajit-5.1-dev,
libphysfs-dev,
libsdl2-dev (>= 2.0.1),
libopenal-dev,
libogg-dev,
libvorbis-dev,
libflac-dev,
libflac++-dev,
libmodplug-dev,
libmpg123-dev,
libmng-dev
Standards-Version: 3.9.3
Homepage: http://love2d.org
Package: liblove
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
${shlibs:Depends},
libdevil1c2,
libmng1,
libfreetype6,
libgl1-mesa-glx,
libluajit-5.1-2,
libphysfs-1.0-0,
libsdl2 (>= 2.0.1),
libopenal1,
libogg0,
libvorbis0a,
libvorbisfile3,
libmodplug1,
libmpg123-0
Description: LOVE is a free 2D game engine which enables easy game creation in Lua.
Package: love
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
liblove (= ${binary:Version})
Description: LOVE is a free 2D game engine which enables easy game creation in Lua.
Package: love-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
love (= ${binary:Version}),
Description: LOVE is a free 2D game engine which enables easy game creation in Lua.
+20
View File
@@ -0,0 +1,20 @@
Copyright (c) 2006-2010 LOVE Development Team
This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.
Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:
1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.
3. This notice may not be removed or altered from any source
distribution.
+2
View File
@@ -0,0 +1,2 @@
changes.txt
license.txt
@@ -0,0 +1 @@
usr/lib/*/liblove.so.*
@@ -0,0 +1 @@
usr/bin/love
@@ -0,0 +1 @@
platform/unix/love.1
+16
View File
@@ -0,0 +1,16 @@
#!/usr/bin/make -f
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
override_dh_auto_configure:
dh_auto_configure -- CPPFLAGS=-I/usr/include/luajit-2.0 --with-lua=luajit-5.1
override_dh_link:
dh_link -plove-dev usr/lib/$(DEB_HOST_MULTIARCH)/liblove.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/liblove.so
override_dh_strip:
dh_strip --dbg-package=love-dbg
%:
dh $@ --parallel
@@ -0,0 +1 @@
3.0 (native)
+5
View File
@@ -0,0 +1,5 @@
\./libraries/luasocket/libluasocket/wsocket\.*
\./modules/sound/lullaby/FLACDecoder\.*
\./love\.cpp
\./modules/sound/lullaby/Mpg123Decoder\.cpp
\./modules/sound/lullaby/Mpg123Decoder\.h
+48
View File
@@ -0,0 +1,48 @@
#!/bin/bash
echo Generating src/Makefile.am ...
cd src
inc_current='$(srcdir)'
inc_modules="$inc_current/modules"
inc_libraries="$inc_current/libraries"
cat > Makefile.am << EOF
AM_CPPFLAGS = -I$inc_current -I$inc_modules -I$inc_libraries -I$inc_libraries/enet/libenet/include \$(LOVE_INCLUDES) \$(FILE_OFFSET)
AM_CXXFLAGS = \$(SDL_CFLAGS)
AUTOMAKE_OPTIONS = subdir-objects
SUBDIRS =
if LOVE_BUILD_EXE
# LÖVE executable
bin_PROGRAMS = love
#love_LDFLAGS =
love_LDADD = liblove.la
love_SOURCES = love.cpp
endif
# Compile scripts
#scripts/%.lua.h: scripts/%.lua
# cd scripts; \
# lua auto.lua \$*
#TODO: Figure out how to only do this on gnu make, and detect which lua
# executable to run
# libLÖVE
lib_LTLIBRARIES = liblove.la
liblove_la_LDFLAGS = -module -export-dynamic \$(LDFLAGS) \$(SDL_LIBS)
liblove_la_SOURCES = \\
EOF
find . \( \( -iname "*.c" -o -iname "*.cpp" -o -iname "*.h" -o -iname "*.lch" \) \) -exec echo '{}' \\ \; \
| grep -v -f"../platform/unix/exclude" | head -c -3 >> Makefile.am
printf "\n\n" >> Makefile.am
cat >> Makefile.am << EOF
if !LOVE_NOMPG123
liblove_la_SOURCES += \\
./modules/sound/lullaby/Mpg123Decoder.cpp \\
./modules/sound/lullaby/Mpg123Decoder.h
endif
EOF
cd ..
echo "src/Makefile.am is updated! ^.^"
+26
View File
@@ -0,0 +1,26 @@
.\" (c) 2008-2011 Miriam Ruiz <little_miry@yahoo.es>
.\"
.\" This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damagesarising from the use of this software.
.\"
.\" Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:
.\"
.\" 1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
.\"
.\" 2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
.\"
.\" 3. This notice may not be removed or altered from any source distribution.
.\"
.\" Modifications:
.\" - Update version to 0.9 and remove reference to doc dir - Bart van Strien, 2013
.TH "LÖVE" "1" "0.9" "" ""
.SH "NAME"
love \- 2D game development framework
.SH "SYNOPSIS"
.B love
<\fIgame.love\fR>
.SH "DESCRIPTION"
LÖVE was created to be a user\-friendly engine in which simple (or complicated) games could be made without having extensive knowledge of system or graphics functions and without having to dedicate time towards developing the same engine features time and time again.
.P
Developed with cross\-platform implementation in mind, it utilizes the latest open source libraries to deliver a similar game experience, independent of operating system. By relying on the Lua scripting language for game\-specific programming, it allows even the novice game creator to quickly and efficiently develop an idea into a fully working game.
.SH "SEE ALSO"
You can find more information at \fIhttp://love2d.org/\fR
+10
View File
@@ -0,0 +1,10 @@
[Desktop Entry]
Name=LÖVE
Comment=The unquestionably awesome 2D game engine
MimeType=application/x-love-game;
Exec=@bindir@/love
Type=Application
Categories=Development;Game;
Terminal=false
Icon=love
NoDisplay=true
File diff suppressed because it is too large Load Diff

After

Width:  |  Height:  |  Size: 99 KiB

+7
View File
@@ -0,0 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
<mime-type type="application/x-love-game">
<comment>LÖVE game</comment>
<glob pattern="*.love"/>
</mime-type>
</mime-info>
+5
View File
@@ -0,0 +1,5 @@
#!/bin/sh
update-mime-database /usr/share/mime
gtk-update-icon-cache --force /usr/share/icons/gnome
xdg-mime default love.desktop application/x-love-game
+4
View File
@@ -0,0 +1,4 @@
#!/bin/sh
update-mime-database /usr/share/mime
gtk-update-icon-cache --force /usr/share/icons/gnome